routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::group(['middleware' => ['web','auth'], 'prefix' => 'lk', 'as'=>'lk.'], function () {
    /*Route::get('products/upload', 'ProductsController@uploadFile')->name('products.upload');
    Route::resource('products', 'ProductsController');
    Route::resource('media', 'MediaController')->only(['update', 'destroy', 'store']);
    Route::resource('cart', 'CartController');
    Route::resource('checkout', 'CheckoutController');
    Route::resource('orders', 'OrderController');
    Route::resource('dashboard', 'DashboardController');
    //Route::resource('company', 'CompanyController');
    Route::resource('tenders', 'TendersController');
    Route::get('/requests/new', 'RequestsController@getNewRequest')->name('requests.new');
    Route::resource('requests', 'RequestsController');


    Route::post('/distributor/add_link', 'DistributorController@addLink')->name('distributor.add_link');*/

    Route::get('{any}', 'RoutingController@lk')->where('any', '.*');
});

Route::group(['middleware' => 'web', 'prefix' => '/'], function () {
    //Route::get('/login', 'RoutingController@auth')->name('login');
    //Route::get('/register', 'RoutingController@auth')->name('register');
    //Route::post('/register', 'Auth\RegisterController@register');
    Route::get('{first}/{second}/{third}', 'RoutingController@thirdLevel')->name('third');
    Route::get('{first}/{second}', 'RoutingController@secondLevel')->name('second');
    Route::get('{any}', 'RoutingController@root')->name('any');
});
// landing
Route::get('', 'RoutingController@index')->name('index');



Route::get('/login', 'RoutingController@auth');

Route::get('{any}', 'RoutingController@lk')->where('any', '.*');

app/Models/Tender.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Models\Category;
use App\Models\User;
use Illuminate\Http\Request;

class Tender extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'categories',
        'description',
        'sum',
        'count',
        'volume',
        'segment',
        'region_delivery',
        'parameters',
        'status',
        'date_to'
    ];

    protected $casts = [
        'categories' => 'array',
        'segment' => 'json',
    ];

    public static function getTenders(){

        $tenders = Tender::where('user_id', Auth::id())->get();

        return $tenders;


            $category_id = 1;
            $result = Category::defaultOrder()->descendantsAndSelf($category_id);
            dd($result);
            foreach ($result as $r){
                $tender = Tender::whereRaw('("categories")::jsonb @> ANY (array [\'[{"category_id":"'.$r['id'].'"}]\']::jsonb[])')->paginate();
                if($tender->count() > 0){
                    foreach ($tender as $t){
                        $tenders[$t->id] = $t;
                    }
                }
                //unset($tender);
            }

        $data = [];
        $i=0;
        foreach ($tenders as $tender){
                $data[$i]['tender_id'] = $tender['id'];
                //dd($tender->items()[0]['user_id']);
                $user = User::find($tender['user_id']);
                //dd($user);
                $data[$i]['user_name'] = $user->name;
                $data[$i]['description'] = $tender['description'];
                foreach ($tender['categories'] as $key=>$value){
                    $category = Category::find($value['category_id']);
                    $data[$i]['categories'][$key] = $category->name;
                }
                $data[$i]['sum'] = $tender['sum'];
                $data[$i]['count'] = $tender['count'];
                $data[$i]['volume'] = ($tender['volume'] == 'small') ? 'Мелкий опт' : ($tender['volume'] == 'middle' ? 'Средний опт' : 'Крупный опт');
                foreach ($tender['segment'] as $key=>$value){
                    $data[$i]['segment'][$key] = ($value['name'] == 'middle') ? 'Средний сегмент' : ($value['name'] == 'high' ? 'Высокий сегмент' : 'Премиум сегмент');
                }
                $region = Region::select('name')->where('id', $tender['region_delivery'])->first();
                $data[$i]['region_delivery'] = $region->name;
                $data[$i]['date'] = $tender->created_at;
            $i++;
        }

        return $data;
    }

    public static function getTender($id){
        $tender = Tender::findOrFail($id);
        $data['tender_id'] = $tender['id'];

        $user = User::find($tender['user_id']);
        //dd($user);
        $data['user_name'] = $user->name;
        $data['description'] = $tender['description'];
        foreach ($tender['categories'] as $key=>$value){
            $category = Category::find($value['category_id']);
            $data['categories'][$key] = $category->name;
        }
        $data['sum'] = $tender['sum'];
        $data['count'] = $tender['count'];
        $data['volume'] = ($tender['volume'] == 'small') ? 'Мелкий опт' : ($tender['volume'] == 'middle' ? 'Средний опт' : 'Крупный опт');
        foreach ($tender['segment'] as $key=>$value){
            $data['segment'][$key] = ($value['name'] == 'middle') ? 'Средний сегмент' : ($value['name'] == 'high' ? 'Высокий сегмент' : 'Премиум сегмент');
        }
        $region = Region::select('name')->where('id', $tender['region_delivery'])->first();
        $data['region_delivery'] = $region->name;
        $data['date'] = $tender->created_at;

        return $data;
    }

    public static function getTendersCategory(){
        $category_id = 15;
        $result = Category::defaultOrder()->descendantsAndSelf($category_id);

        return $result;
    }

    public static function getTendersByCategoryUserId($user_id){
        $tenders = Tender::select('categories')->where('user_id', $user_id)->get();
        return $tenders;
    }

    public function categories()
    {
        return $this->hasMany(Category::class);
    }

    public function users()
    {
        return $this->hasOne(User::class);
    }
}

app/Http/Controllers/TendersController.php
<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Region;
use Illuminate\Http\Request;
use Vanilo\Properties\Models\Property;
use Vanilo\Properties\Models\PropertyValue;
use Illuminate\Support\Facades\Auth;
use App\Models\Tender;

class TendersController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $tenders = Tender::getTenders();
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $regions = Region::where('depth', '<=', 3)->orderBy('id')->get();
        $categories = Category::where('depth', '>=', 1)->orderBy('id')->get();
        $sizes = Property::findBySlug('size');
        $sizes = PropertyValue::byProperty($sizes)->get();
        return view('lk.tenders.create', [
                'categories'=>$categories,
                'regions'=>$regions,
                'sizes'  =>$sizes]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        foreach($request->category as $category){
            $categories[]['category_id'] = $category;
        }

        foreach($request->segment as $segment){
            $segments[]['name'] = $segment;
        }
        $data = [
            'user_id'=>Auth::id(),
            'categories'=>json_encode($categories),
            'sum'=>(double)$request->min_order,
            'volume'=>json_encode($request->opt),
            'segment'=>json_encode($request->segment),
            'region_delivery'=>$request->delivery_cover,
            'parameters' => json_encode(['sizes'=>$request->sizes]),
        ];

        Tender::create($data);

        //return redirect()->route('platform.tenders');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/lk/tenders/create.blade.php
@extends('layouts.vertical', ['title' => 'Create Project'])

@section('css')
    <!-- Plugins css -->
    <link href="{{asset('assets/libs/dropzone/dropzone.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/libs/select2/select2.min.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{asset('assets/libs/flatpickr/flatpickr.min.css')}}" rel="stylesheet" type="text/css" />

@endsection

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">UBold</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Projects</a></li>
                            <li class="breadcrumb-item active">Create Project</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Create Project</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <form action="{{route('lk.tenders.store')}}" method="post" id="cart_form">
                    @csrf
                    <div class="card">
                    <div class="card-body">

                        <div class="row">
                            <div class="col-xl-6">
                                <div class="form-group mb-3">
                                    <label for="product-category">Категория <span class="text-danger">*</span></label>
                                    <select class="form-control select2-multiple" data-toggle="select2" id="product-category" multiple="multiple" name="category[]">
                                        @foreach($categories as $category)
                                            <option value="{{$category->id}}">{{$category->name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="form-group mb-3">
                                    <label for="product-category">Сегмент <span class="text-danger">*</span></label>
                                    <select class="form-control select2-multiple" data-toggle="select2" id="product-segment" multiple="multiple" name="segment[]">
                                        <option value="low-priced">Эконом</option>
                                        <option value="middle-priced">Средний</option>
                                        <option value="high-priced">Высокий</option>
                                        <option value="luxury">Премиум</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="project-priority">Опт</label>

                                    <select class="form-control select2-multiple" data-toggle="select2" multiple="multiple" data-placeholder="Выберете оптовые объемы" name="opt[]">
                                        <option value="low">Мелкий</option>
                                        <option value="middle">Средний</option>
                                        <option value="high">Крупный</option>
                                    </select>
                                </div>

                                <div class="form-group">
                                    <label for="project-budget" class="min_summ_buy">Сумма закупки</label>
                                    <input type="text" id="project-budget" class="form-control" name="min_order" placeholder="Enter project budget">
                                </div>

                                <div class="form-group mb-3">
                                    <label for="product-category">Регион доставки<span class="text-danger">*</span></label>
                                    <select class="form-control select2" data-toggle="select2" id="delivery_cover" name="delivery_cover">
                                        @foreach($regions as $region)
                                            <option value="{{$region->id}}">{{$region->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group mb-3">
                                    <label for="product-category">Размеры<span class="text-danger">*</span></label>
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" id="all_sizes">
                                        <label class="custom-control-label" for="all_sizes">Все</label>
                                    </div>
                                    @foreach($sizes as $size)
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="size{{$size->id}}" name="sizes[]" value="{{$size->id}}">
                                            <label class="custom-control-label" for="size{{$size->id}}">{{$size->title}}</label>
                                        </div>
                                    @endforeach
                                </div>

                            </div> <!-- end col-->
                        </div>
                        <!-- end row -->


                        <div class="row mt-3">
                            <div class="col-12 text-center">
                                <button type="button" class="btn btn-success waves-effect waves-light m-1" id="create_tender"><i class="fe-check-circle mr-1"></i> Create</button>
                                <button type="button" class="btn btn-light waves-effect waves-light m-1"><i class="fe-x mr-1"></i> Cancel</button>
                            </div>
                        </div>

                    </div> <!-- end card-body -->
                </div> <!-- end card-->
                </form>
            </div> <!-- end col-->
        </div>
        <!-- end row-->

    </div> <!-- container -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/dropzone/dropzone.min.js')}}"></script>
    <script src="{{asset('assets/libs/select2/select2.min.js')}}"></script>
    <script src="{{asset('assets/libs/flatpickr/flatpickr.min.js')}}"></script>

    <!-- Page js-->
    <script src="{{asset('assets/js/pages/create-project.init.js')}}"></script>

    <script>
        $('document').ready(function () {
            $('button#create_tender').click(function () {
                $form = $('#cart_form');
                $form.submit();
            });
            $('input#all_sizes').on('click',function(){
                if(this.checked){
                    $('input[type="checkbox"]').each(function(){
                        this.checked = true;
                    })
                }
                else {
                    $('input[type="checkbox"]').each(function(){
                        this.checked = false;
                    })
                }
            });
        });
    </script>
@endsection